#
# spec file for package telepathy-rakia
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           telepathy-rakia
Version:        0.8.0
Release:        5.3
Summary:        SIP connection manager for Telepathy
License:        LGPL-2.1+
Group:          Productivity/Networking/Instant Messenger
Url:            http://telepathy.freedesktop.org/wiki/Components
Source:         http://telepathy.freedesktop.org/releases/telepathy-rakia/%{name}-%{version}.tar.gz
BuildRequires:  libxslt
BuildRequires:  python-xml
BuildRequires:  sofia-sip-devel >= 1.12.11
BuildRequires:  telepathy-glib-devel >= 0.17.7
BuildRequires:  pkgconfig(glib-2.0) >= 2.16
Obsoletes:      telepathy-sofiasip < %{version}
Provides:       telepathy-sofiasip = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
IETF SIP connection manager for Telepathy using the SofiaSIP protocol
stack; formerly known as telepathy-sofiasip

%package devel
Summary:        SIP connection manager for Telepathy - development files
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}

%description devel
IETF SIP connection manager for Telepathy using the SofiaSIP protocol
stack.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.ConnectionManager.sofiasip.service
%{_datadir}/telepathy/
%{_libexecdir}/telepathy-rakia
%doc %{_mandir}/man8/telepathy-rakia.8.gz

%files devel
%defattr(-,root,root)
%{_includedir}/%{name}-0.7/

%changelog
* Wed Oct  2 2013 dimstar@opensuse.org
- Update to version 0.8.0:
  + No code changes since 0.7.5.
* Thu Sep 12 2013 zaitor@opensuse.org
- Drop hack: export LIBS="-lgio-2.0" before %%configure, fixed
  upstream.
* Wed Sep 11 2013 firebird209@gmail.com
- Update to version 0.7.5:
  + Enhancements:
  - fdo#49725: Use the same compiler and linker warnings as
    telepathy-glib.
  - fdo#49732: Stop using deprecated telepathy-glib
    functionality.
  - fdo#62839: Stop using deprecated Automake functionality.
  + Bugfixes:
  - Advertise support for the Messages interface so recent
    Empathy will be willing to handle our Text channels.
  - Link successfully with strict linkers.
  - fdo#49725: Compile and run tests successfully under
    Automake 1.13.
  - fdo#49725: Output the error message if GLib, GObject, GIO,
    libdbus or dbus-glib is missing.
  - fdo#64285: Fix highly-parallel builds.
  - fdo#49725: Suppress deprecation warnings from GLib > 2.30.
  - fdo#63119: Isolate regression tests better.
  - fdo#54972: Initialize libdbus to be thread-safe.
* Fri Mar  1 2013 dimstar@opensuse.org
- Spec-cleanup using format_spec_file service.
* Tue May  8 2012 alinm.elena@gmail.com
- intial commit telepathy-rakia 0.7.4 (2012-05-08)
